import axios from '../../utils/axios';
import { stringToUrl } from '@/common/js/utils';


// 获取设备列表
export function getDeviceList(params) {
  return axios.post(`/SZWL-SERVER/tEquipment/findList?${stringToUrl(params)}`, params);
}
// 获取设备详情
export function getDeviceDetal(params) {
  return axios.post(`/SZWL-SERVER/tEquipment/findById?${stringToUrl(params)}`, params);
}
// 修改设备详情
export function updateDevice(params) {
  return axios.post(`/SZWL-SERVER/tEquipment/update?${stringToUrl(params)}`, params);
}
// 消除报警
export function eliminate(params) {
  return axios.post(`/SZWL-SERVER/tEquipment/eliminate?${stringToUrl(params)}`, params);
}
// 重启炉头/开启关闭炉头
export function setFurnace(params) {
  return axios.post(`/SZWL-SERVER/tEquipment/onOff?${stringToUrl(params)}`, params);
}
// 睡眠
export function sleepEquipment(params) {
  return axios.post(`/SZWL-SERVER/tEquipment/sleep?${stringToUrl(params)}`, params);
}
// 远程开门
export function openDoor(params) {
  return axios.post(`/SZWL-SERVER/tEquipment/openDoor?${stringToUrl(params)}`, params);
}
// 系统脱机
export function deviceTuoji(params) {
  return axios.post(`/SZWL-SERVER/tEquipment/tuoji?${stringToUrl(params)}`, params);
}
// 音量调解
export function updateVolume(params) {
  return axios.post(`/SZWL-SERVER/tEquipment/updateVolume?${stringToUrl(params)}`, params);
}
// 获取商品下拉列表
export function selectProducts(params) {
  return axios.get(`/SZWL-SERVER/tProduct/selectProducts?${stringToUrl(params)}`);
}
// 远程做糖
export function doSugar(params) {
  return axios.get(`/SZWL-SERVER/tSugarDo/doSugar?${stringToUrl(params)}`);
}
// 查询是否做糖状态/今日做糖列表
export function selectSugarStatus(params) {
  return axios.get(`/SZWL-SERVER/tSugarDo/selectSugarList?${stringToUrl(params)}`);
}
// 查询定时开关列表
export function getAlaramClockList(params) {
  return axios.get(`/SZWL-SERVER/tAlarmClock/list?${stringToUrl(params)}`);
}
// 新增闹钟
export function addAlaramClock(params) {
  return axios.post(`/SZWL-SERVER/tAlarmClock/add?${stringToUrl(params)}`, params);
}
// 删除闹钟
export function deleteAlaramClock(params) {
  return axios.post(`/SZWL-SERVER/tAlarmClock/delete?${stringToUrl(params)}`, params);
}
// 闹钟回显
export function getAlaramClock(params) {
  return axios.post(`/SZWL-SERVER/tAlarmClock/selectOne?${stringToUrl(params)}`, params);
}
// 修改闹钟
export function alaramClockUpdate(params) {
  return axios.post(`/SZWL-SERVER/tAlarmClock/updata`, params);
}
// 获取旗下的机器
export function getListEquipment(params) {
  return axios.get(`/SZWL-SERVER/tEquipment/listEquipment?${stringToUrl(params)}`)
}
// 设备充值
export function rechargeAjax(params) {
  return axios.get(`/SZWL-SERVER/tOrder/equipmentPay?${stringToUrl(params)}`)
}
// 获取参数设置
export function getParameters(params) {
  return axios.post(`/SZWL-SERVER/tParameters/getParameters`, params)
}
// 修改参数设置
export function updateParameters(params) {
  return axios.post(`/SZWL-SERVER/tParameters/updateParameters`, params)
}

// 分销人回显
export function getProportion(params) {
  return axios.post(`/SZWL-SERVER/tProportion/getOne?${stringToUrl(params)}`)
}
// 提交审批或修改
export function saveProportion(params) {
  return axios.post(`/SZWL-SERVER/tProportion/save`, params)
}